"""fix missing deletion cascade

Revision ID: 5958ddd10a81
Revises: f7f81b98c121
Create Date: 2023-11-17 11:00:28.261217

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '5958ddd10a81'
down_revision = 'f7f81b98c121'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('action_run_workflow_run_id_fkey', 'action_run', type_='foreignkey')
    op.create_foreign_key(None, 'action_run', 'workflow_run', ['workflow_run_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('log_lines_logs_id_fkey', 'log_lines', type_='foreignkey')
    op.create_foreign_key(None, 'log_lines', 'logs', ['logs_id'], ['associated_id'], ondelete='CASCADE')
    op.drop_constraint('stored_file_association_stored_file_id_fkey', 'stored_file_association', type_='foreignkey')
    op.drop_constraint('stored_file_association_execution_result_id_fkey', 'stored_file_association', type_='foreignkey')
    op.create_foreign_key(None, 'stored_file_association', 'stored_file', ['stored_file_id'], ['id'], ondelete='CASCADE')
    op.create_foreign_key(None, 'stored_file_association', 'execution_result', ['execution_result_id'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'stored_file_association', type_='foreignkey')
    op.drop_constraint(None, 'stored_file_association', type_='foreignkey')
    op.create_foreign_key('stored_file_association_execution_result_id_fkey', 'stored_file_association', 'execution_result', ['execution_result_id'], ['id'])
    op.create_foreign_key('stored_file_association_stored_file_id_fkey', 'stored_file_association', 'stored_file', ['stored_file_id'], ['id'])
    op.drop_constraint(None, 'log_lines', type_='foreignkey')
    op.create_foreign_key('log_lines_logs_id_fkey', 'log_lines', 'logs', ['logs_id'], ['associated_id'])
    op.drop_constraint(None, 'action_run', type_='foreignkey')
    op.create_foreign_key('action_run_workflow_run_id_fkey', 'action_run', 'workflow_run', ['workflow_run_id'], ['id'])
    # ### end Alembic commands ###
